-
Notifications
You must be signed in to change notification settings - Fork 146
New issue
Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.
By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.
Already on GitHub? Sign in to your account
Open DWG files and manipulate them #48
Comments
Sure, you need a CAD platform like AutoCAD, |
Would you mind possibly walking me through how I could take four walls and manipulate them in a way where I rotate the walls to create a room in this capacity? If I have each wall drawn and I just need to insert them into the drawing, I would need to make each wall a block right? And then pyautocad lets me rotate each wall and place it in a manner where they line up so it creates the room right? Would a previously existing subdrawing be able to be placed in this manner? And then, say I wanted to automate the process of creating the end product and creating the file(s) that would be returned to me as a full drawing, is that something that pyautocad can also do? And if so what would I need to call for that? |
Inserting blocks is a fundamental operation you should probably understand before you begin writing code. it’s also a good idea to become somewhat familiar with the API pyautocad accesses insertBlock imports the drawing and creates the block(s) for you `pseudo code #one for each wall doc = acad.ActiveDocument doc.SaveAs("C: \room.dwg") |
I am trying to figure out if it is possible to open multiple already existing dwg files through pyautocad and manipulate them to create a single dwg file. Basically, I am trying to figure out if I can take various drawings of different length walls and manipulate those walls to create a single room. I am trying to automate this process as each wall is already drawn and it is tedious to pull in each wall every time I go to draw a room. Does pyautocad support something like this? I was unable to find anything in the documentation on opening and manipulating previously created DWG files.
The text was updated successfully, but these errors were encountered: